*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
body{
    font-family: Arial, sans-serif;
    background-color: #0b0202;
    padding: 20px;
}
.form-container{
    background: #fff;
    padding: 20px;
    margin: auto;
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    width: 100%;
}
@media (min-width: 900px){
    .form-container {
      width: 50%;
    }
}
h1{
    text-align: center;
    margin-bottom: 20px;
}
.form-group{
    margin-bottom: 15px;
}
label{
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
}
.required{
    color: red;
}
input[type="text"],
input[type="email"],
input[type="password"],
textarea,
select{
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
}
.error-message{
    color: rgb(159, 13, 13);
    font-size: 0.9rem;
    margin-top: 5px;
}
button{
    width: 100%;
    padding: 10px;
    background: #007bff;
    color: white;
    border: none;
    border-radius: 4px;
    font-size: 1rem;
    cursor: pointer;
}
button:disabled{
    background: #ccc;
    cursor: not-allowed;
  }
.notification{
    margin-top: 20px;
    padding: 10px;
    background-color: #d4edda;
    color: #155724;
    border: 1px solid #c3e6cb;
    border-radius: 4px;
    display: none;
}
.toggle-group{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.switch{
    position: relative;
    display: inline-block;
    width: 50px;
    height: 24px;
}
.switch input{
    opacity: 0;
    width: 0;
    height: 0;
}
.slider{
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: 0.4s;
    border-radius: 24px;
}
.slider:before{
    position: absolute;
    content: "";
    height: 18px;
    width: 18px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    transition: 0.4s;
    border-radius: 50%;
}
input:checked + .slider{
    background-color: #007bff;
}
input:checked + .slider:before{
    transform: translateX(26px);
}
  